Create Project

Prev Next
Post
/api/v1/Authoring/projects

Create a new project

Security
API Key: x-val-api-token
Header parameter namex-val-api-token

API key needed to access endpoints. Each Validatar user can manage their own set of API keys.

Body parameters

Information about the new project

Expand All
object
name
string Required

The project name

Min length1
description
string | null

The project description

dataSourceIds
Array of integer | null

List of data source IDs that can be used within the project

integer (int32)
permissions
Array of object (Configuration.Api.Models.v1.ProjectPermission) Required

List of permissions to add to the project

object
type
string Required
Valid values[ "User", "Group" ]
name
string Required

The permission holder name

Min length1
roleSet
string | null

The name of a predefined role set

roles
Array of string (Configuration.Api.Models.v1.ProjectRole) | null

The custom roles to use when the roleSet property is empty

string
Valid values[ "Admin", "CreateJobs", "Export", "Import", "LabelManager", "CreateTests" ]
customFields
object | null

List of custom fields to add to the project

property*
isCertified
boolean

Whether custom field values are flagged as certified

Expand All
object
name
string Required

The project name

Min length1
description
string | null

The project description

dataSourceIds
Array of integer | null

List of data source IDs that can be used within the project

integer (int32)
permissions
Array of object (Configuration.Api.Models.v1.ProjectPermission) Required

List of permissions to add to the project

object
type
string Required
Valid values[ "User", "Group" ]
name
string Required

The permission holder name

Min length1
roleSet
string | null

The name of a predefined role set

roles
Array of string (Configuration.Api.Models.v1.ProjectRole) | null

The custom roles to use when the roleSet property is empty

string
Valid values[ "Admin", "CreateJobs", "Export", "Import", "LabelManager", "CreateTests" ]
customFields
object | null

List of custom fields to add to the project

property*
isCertified
boolean

Whether custom field values are flagged as certified

Expand All
object
name
string Required

The project name

Min length1
description
string | null

The project description

dataSourceIds
Array of integer | null

List of data source IDs that can be used within the project

integer (int32)
permissions
Array of object (Configuration.Api.Models.v1.ProjectPermission) Required

List of permissions to add to the project

object
type
string Required
Valid values[ "User", "Group" ]
name
string Required

The permission holder name

Min length1
roleSet
string | null

The name of a predefined role set

roles
Array of string (Configuration.Api.Models.v1.ProjectRole) | null

The custom roles to use when the roleSet property is empty

string
Valid values[ "Admin", "CreateJobs", "Export", "Import", "LabelManager", "CreateTests" ]
customFields
object | null

List of custom fields to add to the project

property*
isCertified
boolean

Whether custom field values are flagged as certified

Expand All
object
name
string Required

The project name

Min length1
description
string | null

The project description

dataSourceIds
Array of integer | null

List of data source IDs that can be used within the project

integer (int32)
permissions
Array of object (Configuration.Api.Models.v1.ProjectPermission) Required

List of permissions to add to the project

object
type
string Required
Valid values[ "User", "Group" ]
name
string Required

The permission holder name

Min length1
roleSet
string | null

The name of a predefined role set

roles
Array of string (Configuration.Api.Models.v1.ProjectRole) | null

The custom roles to use when the roleSet property is empty

string
Valid values[ "Admin", "CreateJobs", "Export", "Import", "LabelManager", "CreateTests" ]
customFields
object | null

List of custom fields to add to the project

property*
isCertified
boolean

Whether custom field values are flagged as certified

Responses
200

OK

object
id
integer (int32)

The project ID

name
string | null

The project name

rootTestFolderId
integer (int32)

The folder ID of the root test folder in the project

rootJobFolderId
integer (int32)

The folder ID of the root job folder in the project

400

Bad Request

object
errors
Array of string | null
string
403

Forbidden